package com.limap.core.basic.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.limap.core.basic.domain.BasicUserBindInfo;
import com.limap.core.screen.vo.ControlSwitch;

/**
 * 用户设备绑定信息Service接口
 *
 * @author jjb
 * @date 2025-04-11
 */
public interface IBasicUserBindInfoService extends IService<BasicUserBindInfo> {
    /**
     * 查询用户设备绑定信息列表
     *
     * @param basicUserBindInfo 用户设备绑定信息
     * @return 用户设备绑定信息集合
     */
    public List<BasicUserBindInfo> selectBasicUserBindInfoList(BasicUserBindInfo basicUserBindInfo);

    public BasicUserBindInfo selectAppUserInfo(BasicUserBindInfo basicUserBindInfo);

    public BasicUserBindInfo getInfoByDeviceId(Long deviceId);

    public List<BasicUserBindInfo> selectAppUserInfo();

    public List<ControlSwitch>  getcControlInfo(String deviceName);
}
